Record Payment
curl --request POST \
--url https://api.embedads.com/advertisers/{advertiserID}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"amount_tax": 123,
"currency": "<string>",
"type": "<string>",
"authorized_to_spend": true,
"receipt_url": "<string>"
}
'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/transactions"
payload = {
"amount": 123,
"amount_tax": 123,
"currency": "<string>",
"type": "<string>",
"authorized_to_spend": True,
"receipt_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
amount_tax: 123,
currency: '<string>',
type: '<string>',
authorized_to_spend: true,
receipt_url: '<string>'
})
};
fetch('https://api.embedads.com/advertisers/{advertiserID}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"advertiser_id": 123,
"id": 456,
"created_at": "2020-01-01T00:00:00Z",
"type": "PAYMENT",
"amount": 100,
"amount_tax": 10,
"receipt_url": "https://example.com/receipt"
}
]
{
"error": "currency must be specified as \"USD\""
}
{
"error": "Internal Server Error"
}
Advertiser Billing
Record Payment
Record an Advertiser’s payment for ad spend. You can also do this manually on the Advertiser’s Billing page in the admin portal.
POST
/
advertisers
/
{advertiserID}
/
transactions
Record Payment
Path Parameters
The ID of the advertiser.
Body Parameters
The amount of the transaction.
The amount of tax for the transaction.
The currency of the transaction. Must be specified as
"USD".The type of transaction. Must be specified as
"PAYMENT".Certifies that the advertiser is allowed to spend the funds, and must be specified as
true to create a transaction.The URL of the receipt for the transaction.
Response
The ID of the advertiser.
The ID of the transaction.
A timestamp of when the transaction was created.
The type of transaction.
The amount of the transaction.
The amount of tax for the transaction.
The URL of the receipt for the transaction.
[
{
"advertiser_id": 123,
"id": 456,
"created_at": "2020-01-01T00:00:00Z",
"type": "PAYMENT",
"amount": 100,
"amount_tax": 10,
"receipt_url": "https://example.com/receipt"
}
]
{
"error": "currency must be specified as \"USD\""
}
{
"error": "Internal Server Error"
}
⌘I